petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSpaceSetType

Builds a particular PetscSpace

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceSetType(PetscSpace sp, PetscSpaceType name)

Collective on sp

### Input Parameters

| sp | - The PetscSpace object
| name | - The kind of space

### Options Database Key

-petscspace_type <type> -Sets the PetscSpace type; use -help for a list of available types

### See Also

PetscSpaceGetType(), PetscSpaceCreate()

### Level

intermediate

### Location

src/dm/dt/space/interface/space.c
Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages